/* SECTION 1 (Hero section) */
.hero-container {
  width: 100%;
  padding: 0 20px;
  background: linear-gradient(90deg, #edf1fc 0%, #f4f7ff 100%);
}

.hero-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: clamp(23px, 6.1vw, 78px);
  padding: 42px 0;
  padding-bottom: 0;
}

.hero-content {
  max-width: 590px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding-left: 32px;
  padding-top: 14px;
}

.hero-head-para {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.hero-head {
  display: flex;
  position: relative;
  z-index: 3;
}

.hero-txt-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: -15px;
  left: -28px;
  z-index: -1;
}

.hero-txt-deco img {
  animation: rotateInfinite 16s linear infinite;
  transform-origin: center;
}

.hero-points-btn {
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.hero-points {
  display: flex;
  align-items: center;
  gap: 18px;
}

.hero-point {
  display: flex;
  align-items: center;
  gap: 7px;
}

.hero-point-icn {
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-visual {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.hero-bg-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-bg-image img {
  max-width: 476px;
  width: 100%;
  min-width: 413px;
  height: auto;
  object-fit: contain;
}

.hero-primary-image {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 6;
  right: 11%;
}

.hero-primary-image img {
  max-width: 388px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1190px) {
  .hero-visual {
    margin-top: 47px;
  }

  .hero-primary-image {
    right: 5%;
  }

  .hero-primary-image img {
    max-width: 360px;
  }
}

@media (max-width: 1105px) {
  .hero-wrapper {
    gap: 23px;
    min-height: 448px;
  }

  .hero-content {
    padding-left: 13px;
  }

  .hero-primary-image img {
    max-width: 341px;
  }

  .hero-primary-image {
    right: 36px;
  }
}

@media (max-width: 1023.98px) {
  .hero-wrapper {
    flex-direction: column;
    gap: clamp(35px, 6.6vw, 50px);
    align-items: center;
    padding: 40px 0;
    padding-bottom: 0;
    min-height: unset;
  }

  .hero-content {
    max-width: 100%;
    align-items: center;
    padding-top: 13px;
    padding-left: 0;
  }

  .hero-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
    max-width: 589px;
  }

  .hero-points-btn {
    align-items: center;
  }

  .hero-visual {
    margin: 0;
  }

  .hero-bg-image img {
    min-width: unset;
    max-width: 360px;
  }

  .hero-primary-image {
    right: 31px;
  }

  .hero-primary-image img {
    max-width: 293px;
  }
}

@media (max-width: 767.98px) {
  .hero-txt-deco {
    top: -13px;
    left: 10px;
  }
}

@media (max-width: 640.98px) {
  .hero-container {
    padding: 0 10px;
  }

  .hero-wrapper {
    padding: 30px 0;
    padding-bottom: 0;
  }

  .hero-content {
    padding: 0;
    gap: 35px;
  }

  .hero-head {
    max-width: 315px;
  }

  .hero-points {
    gap: 24px;
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 10px;
  }

  .hero-point {
    gap: 4px;
  }

  .hero-txt-deco {
    left: -10px;
  }

  .hero-txt-deco img {
    width: 55px;
    height: 55px;
  }
}

@media (max-width: 480px) {
  .hero-bg-image img {
    max-width: 285px;
  }

  .hero-primary-image {
    right: 24px;
  }

  .hero-primary-image img {
    max-width: 232px;
  }
}

/* SECTION 2 (law applies on marriage) */
.marriage-container {
  width: 100%;
  padding: 0 40px;
}

.marriage-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
}

.marriage-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.marriage-image img {
  max-width: 421px;
  width: 100%;
  min-width: 335px;
  height: auto;
  object-fit: cover;
}

.marriage-content {
  max-width: 560px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.marriage-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.marriage-head {
  max-width: 313px;
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.marriage-points {
  display: flex;
  gap: 33px;
}

.marriage-points-column {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.marriage-point {
  display: flex;
  align-items: center;
  gap: 12px;
}

.marriage-point-icon {
  width: 54px;
  height: 54px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  background-color: var(--color-light-blue);
}

@media (max-width: 1100px) {
  .marriage-wrapper {
    gap: 50px;
  }

  .marriage-points {
    gap: 27px;
  }
}

@media (max-width: 1023.98px) {
  .marriage-container {
    padding: 0 20px;
  }

  .marriage-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .marriage-content {
    max-width: 100%;
    align-items: center;
  }

  .marriage-head {
    max-width: 100%;
    align-items: center;
  }

  .marriage-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .marriage-head-para p {
    max-width: 607px;
  }

  .marriage-points {
    max-width: 576px;
  }

  .marriage-image img {
    min-width: unset;
    max-width: 335px;
  }
}

@media (max-width: 640.98px) {
  .marriage-container {
    padding: 0 16px;
  }

  .marriage-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .marriage-head-para {
    padding: 0 8px;
  }

  .marriage-head {
    gap: 1px;
  }

  .marriage-points {
    flex-direction: column;
    gap: 30px;
    max-width: 282px;
  }

  .marriage-image {
    padding: 0 10px;
  }
}

/* SECTION 3 (Your responsibilities and maintenance) */
.maintenance-container {
  width: 100%;
  padding: 0 30px;
  background-color: var(--color-light-blue);
}

.maintenance-wrapper {
  max-width: 1220px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
  position: relative;
}

.maintenance-head-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: 0;
  top: 50px;
}

.maintenance-head-deco img {
  animation: rotateInfinite 10s linear infinite;
  transform-origin: center;
}

.maintenance-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
  max-width: 536px;
}

.maintenance-panel {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 25px;
  padding: 32px 0;
  border-radius: 16px;
  background-color: var(--color-blue);
}

.maintenance-panel-intro {
  text-align: center;
  max-width: 676px;
  color: var(--color-white);
}

.maintenance-point-list {
  max-width: 1056px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 54px;
}

.maintenance-point-item {
  max-width: 200px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 10px;
  padding: 12px;
  color: var(--color-white);
}

.maintenance-card-row {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 24px;
}

.maintenance-card {
  max-width: 589px;
  width: 100%;
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 12px;
  padding: 16px 23px;
  border-radius: 16px;
  border: 1px solid var(--color-blue);
  background-color: var(--color-white);
}

.maintenance-card h3 {
  color: var(--color-blue);
}

.maintenance-card p {
  max-width: 524px;
}

@media (max-width: 1100px) {
  .maintenance-card {
    padding: 31px 23px;
  }
}

@media (max-width: 1023.98px) {
  .maintenance-container {
    padding: 0 30px;
  }

  .maintenance-wrapper {
    padding: 60px 0;
    gap: 30px;
  }

  .maintenance-head-deco img {
    width: 33px;
    height: 33px;
  }

  .maintenance-head {
    margin-bottom: 10px;
  }

  .maintenance-panel {
    max-width: 708px;
    gap: 34px;
    padding: 28px 10px;
  }

  .maintenance-panel-intro {
    max-width: 572px;
  }

  .maintenance-point-list {
    max-width: 494px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px 94px;
  }

  .maintenance-card-row {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .maintenance-card {
    max-width: 708px;
  }
}

@media (max-width: 640.98px) {
  .maintenance-container {
    padding: 0 16px;
  }

  .maintenance-wrapper {
    padding: 50px 0;
  }

  .maintenance-head-deco {
    top: 165px;
    right: 3%;
  }

  .maintenance-head-deco img {
    width: 20px;
    height: 19px;
  }

  .maintenance-head {
    gap: 1px;
    margin-bottom: 5px;
    max-width: 305px;
  }

  .maintenance-point-list {
    gap: 27px 20px;
    place-items: center;
  }

  .maintenance-point-item {
    padding: 0;
    max-width: 150px;
  }

  .marriage-point-icon img {
    width: 40px;
    height: 40px;
  }

  .maintenance-panel-intro {
    padding: 0 6px;
  }

  .maintenance-card {
    padding: 12px 16px;
    gap: 2px;
  }
}

/* SECTION 4 (denfent against alligation) */
.allegation-container {
  width: 100%;
  padding: 0 30px;
}

.allegation-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
}

.allegation-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.allegation-card-row {
  max-width: 1156px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 29px;
}

.allegation-card {
  max-width: 553px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 42px 26px;
  border-radius: 16px;
  background-color: var(--color-light-blue);
  border: 1px solid #5a7cd7;
}

.allegation-card-image {
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
  border-radius: 16px;
  overflow: hidden;
}

.allegation-card-image img {
  max-width: 499px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.allegation-card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 28px;
}

.allegation-card-content h3 {
  text-align: center;
}

.allegation-point-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px 48px;
}

.allegation-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.allegation-point-icon {
  width: 55px;
  height: 55px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 14px;
  flex-shrink: 0;
  background-color: var(--color-blue);
}

@media (max-width: 1100px) {
  .allegation-card {
    padding: 28px 13px;
    gap: 16px;
  }

  .allegation-card-image img {
    min-width: 433px;
    max-height: 170px;
  }

  .allegation-point-list {
    gap: 30px 5px;
  }
}

@media (max-width: 1023.98px) {
  .allegation-container {
    padding: 0 20px;
  }

  .allegation-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .allegation-card-row {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .allegation-card {
    max-width: 708px;
    gap: 30px;
    padding: 28px;
  }

  .allegation-card-image {
    max-width: 652px;
    width: 100%;
  }

  .allegation-card-image img {
    min-width: unset;
    max-height: 224px;
    max-width: 652px;
  }

  .allegation-card-content {
    width: 100%;
  }

  .allegation-point-list {
    max-width: 100%;
    width: 100%;
  }

  .allegation-point-item {
    max-width: 228px;
  }
}

@media (max-width: 640.98px) {
  .allegation-container {
    padding: 0 16px;
  }

  .allegation-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .allegation-card {
    padding: 18px 16px;
    gap: 25px;
  }

  .allegation-card-content {
    gap: 25px;
  }

  .allegation-point-list {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .allegation-point-item {
    max-width: 100%;
  }

  .allegation-point-icon {
    width: 50px;
    height: 50px;
  }

  .allegation-point-icon img {
    width: 22px;
    height: 22px;
  }
}

/* SECTION 5 (your ownership and property)  */
.property-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-blue);
}

.property-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
}

.property-head-para {
  display: flex;
  justify-content: center;
  width: 100%;
  position: relative;
}

.property-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.property-head-deco {
  position: absolute;
  right: 0;
  top: -10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.property-head-deco img {
  animation: scalling 2s alternate infinite;
  transform-origin: center;
}

@keyframes scalling {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.1);
  }
}

.property-content-row {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 44px;
}

.property-card-column {
  max-width: 623px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.property-info-card {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 25px 31px;
  background-color: var(--color-blue);
  border-radius: 16px;
  min-height: 270px;
}

.property-info-card-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.property-info-card-icon {
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--color-white);
}

.property-info-card-icon img {
  width: 40px;
  height: 40px;
}

.property-info-card-number {
  color: rgba(255, 255, 255, 0.67);
  font-size: 50px;
  line-height: 40px;
  font-weight: 600;
}

.property-info-card-body {
  max-width: 538px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  color: var(--color-white);
}

.property-info-card-body h3 {
  color: var(--color-white);
}

.property-remedy-list {
  max-width: 524px;
  display: flex;
  flex-direction: column;
  gap: 52px;
  position: relative;
}

.property-remedy-list::before {
  content: "";
  position: absolute;
  top: 18px;
  left: 33px;
  width: 2px;
  height: 76%;
  background-color: #cad8ff;
  flex-shrink: 0;
}

.property-remedy-item {
  display: flex;
  align-items: flex-start;
  gap: 22px;
}

.property-remedy-icon {
  width: 70px;
  height: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #d8e3ff;
  flex-shrink: 0;
  margin-top: 8px;
  z-index: 5;
}

.property-remedy-icon img {
  width: 38px;
  height: 38px;
}

.property-remedy-text {
  display: flex;
  flex-direction: column;
  gap: 9px;
}

.property-remedy-text h3 {
  color: #3f3f41;
}

@media (max-width: 1100px) {
  .property-content-row {
    flex-direction: column;
    gap: 40px;
  }

  .property-remedy-list {
    max-width: 623px;
  }
}

@media (max-width: 1023.98px) {
  .property-container {
    padding: 0 20px;
  }

  .property-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .property-head {
    max-width: 470px;
  }

  .property-content-row {
    width: 100%;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .property-card-column {
    max-width: 708px;
    width: 100%;
  }

  .property-head-deco img {
    width: 90px;
    height: auto;
  }
}

@media (max-width: 760px) {
  .property-head-deco {
    top: -15px;
    right: -5px;
  }
}

@media (max-width: 640.98px) {
  .property-container {
    padding: 0 16px;
  }

  .property-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .property-head-deco img {
    width: 50px;
    height: auto;
  }
}

@media (max-width: 580px) {
  .property-info-card {
    padding: 24px 12px;
    gap: 10px;
    min-height: unset;
  }

  .property-info-card-icon {
    width: 50px;
    height: 50px;
  }

  .property-info-card-icon img {
    width: 30px;
    height: 30px;
  }

  .property-info-card-body {
    gap: 18px;
  }

  .property-remedy-list {
    gap: 30px;
  }

  .property-remedy-list::before {
    left: 23px;
    top: 15px;
    height: 74%;
  }

  .property-remedy-icon {
    width: 50px;
    height: 50px;
  }

  .property-remedy-icon img {
    width: 27px;
    height: 27px;
  }
}

/* SECTION 6 (when RCR applies) */
.rcr-container {
  width: 100%;
  padding: 0 20px;
}

.rcr-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
}

.rcr-head-para {
  display: flex;
  justify-content: center;
}

.rcr-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.rcr-card-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
  max-width: 1144px;
  width: 100%;
}

.rcr-card {
  min-height: 150px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 7px;
  padding: 16px 26px;
  padding-left: 0;
  background-color: var(--color-light-blue);
  transition: all 0.25s ease;
}

.rcr-card-content {
  max-width: 996px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.rcr-card-icon {
  width: 90px;
  height: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  margin-right: 32px;
}

.rcr-card-text {
  max-width: 313px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 43px;
}

.rcr-card-text h3 {
  color: var(--color-blue);
  max-width: 313px;
  width: 100%;
}

.rcr-card-desc {
  max-width: 518px;
  width: 100%;
}

.rcr-card-arrow {
  width: 60px;
  height: 60px;
  flex-shrink: 0;
  background-color: var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
}

.rcr-card-arrow span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.rcr-card:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
  transform: translateY(-3px);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
  transition: all 0.25s ease;
}

.rcr-card:hover > .rcr-card-content > .rcr-card-text h3 {
  color: var(--color-white);
}

.rcr-card:hover > .rcr-card-content > .rcr-card-icon.c1 img {
  content: url("../../assets/icons/return-home-white-hover-icn.svg");
}

.rcr-card:hover > .rcr-card-content > .rcr-card-icon.c2 img {
  content: url("../../assets/icons/target-white-hover-icn.svg");
}

.rcr-card:hover > .rcr-card-content > .rcr-card-icon.c3 img {
  content: url("../../assets/icons/balance-white-hover-icn.svg");
}

@media (max-width: 1100px) {
  .rcr-card {
    padding: 16px 13px;
    padding-left: 0;
  }

  .rcr-card-text {
    gap: 23px;
  }

  .rcr-card-text h3 {
    width: fit-content;
  }
}

@media (max-width: 1023.98px) {
  .rcr-container {
    padding: 0 20px;
  }

  .rcr-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .rcr-card-list {
    align-items: center;
  }

  .rcr-card {
    max-width: 628px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--color-light-blue);
    border-radius: 16px;
    padding: 24px 20px;
    gap: 16px;
  }

  .rcr-card-content {
    justify-content: unset;
  }

  .rcr-card-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 18px 28px;
    flex: 1;
  }

  .rcr-card-icon {
    max-width: 44px;
    width: 100%;
    height: auto;
    margin-right: unset;
  }

  .rcr-card-text {
    display: contents;
  }

  .rcr-card-arrow {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

@media (max-width: 640.98px) {
  .rcr-container {
    padding: 0 16px;
  }

  .rcr-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .rcr-head {
    max-width: 343px;
  }

  .rcr-card {
    padding: 24px 16px;
    gap: 10px;
    min-height: unset;
  }

  .rcr-card-content {
    gap: 14px 10px;
  }

  .rcr-card-icon {
    max-width: 30px;
  }

  .rcr-card-icon img {
    width: 30px;
    height: 30px;
  }

  .rcr-card-arrow {
    width: 40px;
    height: 40px;
  }
}

/* SECTION 7 (your right as a father) */
.father-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-blue);
}

.father-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
  position: relative;
}

.father-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 13%;
  left: 8%;
}

.father-content {
  max-width: 250px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.father-head-para {
  display: flex;
  max-width: 238px;
}

.father-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.father-card-row {
  max-width: 827px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 35px;
}

.father-card {
  display: flex;
  flex-direction: column;
  gap: 26px;
  padding: 27px 38px;
  border-radius: 16px;
  background-color: var(--color-white);
  position: relative;
  cursor: default;
  transition: all 0.25s ease;
}

.father-card-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  right: 0;
}

.father-card-text {
  display: flex;
  flex-direction: column;
  gap: 34px;
}

.father-card-text h3 {
  color: var(--color-blue);
}

.father-card:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
  transform: scale(1.008);
  transition: all 0.25s ease;
}

.father-card:hover > .father-card-text h3 {
  color: var(--color-white);
}

.father-card:hover > .father-card-icon.c1 img {
  content: url("../../assets/icons/baby-white-hover-icn.svg");
}

.father-card:hover > .father-card-icon.c2 img {
  content: url("../../assets/icons/children-charity-white-hover-icn.svg");
}

@media (max-width: 1126px) {
  .father-wrapper {
    flex-direction: column;
    gap: 40px;
    align-items: center;
  }

  .father-deco {
    top: 141px;
    right: 10%;
    left: unset;
    bottom: unset;
  }

  .father-content {
    max-width: 363px;
    width: 100%;
    align-items: center;
  }

  .father-head {
    max-width: 100%;
    align-items: center;
    text-align: center;
  }
}

@media (max-width: 1023.98px) {
  .father-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .father-card-row {
    flex-direction: column;
    gap: 30px;
    max-width: 708px;
  }

  .father-deco {
    right: 15px;
    top: 10%;
  }
}

@media (max-width: 640.98px) {
  .father-container {
    padding: 0 16px;
  }

  .father-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .father-deco {
    top: 5%;
  }

  .father-deco img {
    width: 20px;
    height: 20px;
  }

  .father-content {
    gap: 35px;
  }

  .father-card {
    padding: 16px 19px;
    gap: 18px;
  }

  .father-card-deco img {
    width: 50px;
    height: 50px;
  }

  .father-card-icon img {
    width: 40px;
    height: 40px;
  }

  .father-card-text {
    gap: 30px;
  }
}

@media (max-width: 360px) {
  .father-deco {
    top: 20px;
  }
}

/* SECTION 8 (expect from legal process) */
.legal-container {
  width: 100%;
  padding: 0 30px;
}

.legal-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
}

.legal-head-para {
  max-width: 620px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
}

.legal-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3px;
  text-align: center;
}

.legal-card-row {
  display: flex;
  justify-content: center;
  gap: 25px;
}

.legal-card {
  flex: 1;
  max-width: 390px;
  min-height: 326px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 26px 5px;
  text-align: center;
  background-color: var(--color-light-blue);
  border-radius: 18px;
  cursor: default;
  transition: all 0.25s ease;
}

.legal-card-icon {
  width: 88px;
  height: 82px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.legal-card-text {
  max-width: 305px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.legal-card-text h3 {
  color: var(--color-blue);
}

.legal-card:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
  transform: scale(1.008);
  transition: all 0.25s ease;
}

.legal-card:hover > .legal-card-text h3 {
  color: var(--color-white);
  transition: all 0.25s ease;
}

.legal-card:hover > .legal-card-icon.c1 img {
  content: url("../../assets/icons/document-white-hover-icn.svg");
}

.legal-card:hover > .legal-card-icon.c2 img {
  content: url("../../assets/icons/court-white-hover-icn.svg");
}

.legal-card:hover > .legal-card-icon.c3 img {
  content: url("../../assets/icons/handshake-white-hover-icn.svg");
}

@media (max-width: 1163px) {
  .legal-card-row {
    gap: 10px;
  }
}

@media (max-width: 1023.98px) {
  .legal-container {
    padding: 0 20px;
  }

  .legal-wrapper {
    padding: 60px 0;
  }

  .legal-card-row {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .legal-card {
    min-width: unset;
    max-width: 458px;
    width: 100%;
    gap: 18px;
  }

  .legal-card-icon {
    width: 58px;
    height: 58px;
  }

  .legal-card-text {
    max-width: 364px;
  }
}

@media (max-width: 640.98px) {
  .legal-container {
    padding: 0 16px;
  }

  .legal-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .legal-card-text {
    gap: 18px;
  }
}

@media (max-width: 580px) {
  .legal-card {
    padding: 37px 23px;
    gap: 18px;
    min-height: unset;
  }

  .legal-card-icon {
    width: unset;
    height: unset;
  }

  .legal-card-text {
    max-width: 260px;
  }
}

@media (max-width: 360px) {
  .legal-card-row {
    padding: 0;
  }
}
